Updates für opsi 4.1 / 4.2 stable und testing

Neuigkeiten und Ankündigungen
Benutzeravatar
j.schneider
uib-Team
Beiträge: 1441
Registriert: 29 Mai 2008, 15:14

Updates für opsi 4.1 / 4.2 stable und testing

Beitragvon j.schneider » 07 Mai 2021, 11:32

Sehr geehrte opsi-Anwenderinnen und -Anwender,

heute haben wir Pakete für opsi 4.1/4.2 in testing und stable veröffentlicht.

WICHTIG Ubuntu 16.04 ist offiziell EOL. Unsere Server Pakete werden zwar weiter gepflegt und auch für Ubuntu 16.04 gebaut, jedoch raten wir ab ein nicht mehr unterstütztes Betriebssystem produktiv zu verwenden!

Das Wipedisk Paket kann nun neben klassischen HDDs auch SSDs per SATA Security Erase und NVMEs per format Befehl löschen. Hierfür ist das Bootimage in Version 20210326 und höher nötig. Zusätzlich muss die SSD das Security Erase unterstützen, dies wird beim Ausführen des Produktes geprüft. Beim "wipen" einer SSD geht der Rechner für wenige Sekunden in einen Schlafmodus, sollte der Zustand der SSD auf "frozen" stehen. Bitte nicht wundern wenn mitten im Produktablauf der Bildschirm ausgeht.

========================================
Aktualisierte Pakete in opsi 4.1 Stable:
========================================
Windows Netboot Pakete
* windows (4.1.0.2-14)
Opsi-Local-Image Netboot Pakete
* windows (4.1.0.2-14)
Windows Localboot Pakete
* opsi-client-agent (4.1.1.32-1)

=========================================
Aktualisierte Pakete in opsi 4.1 Testing:
=========================================
Windows Netboot Pakete:
* wipedisk (2.1-1)

opsi Server Pakete:
* opsi-linux-bootimage (20210326-1)

=========================================
Aktualisierte Pakete in opsi 4.2 Testing:
=========================================
opsi Server Pakete:
* opsiconfd (4.2.0.167-1)
* opsi-utils (4.2.0.95-1)
* opsi-server (4.2.0.51-1)
* opsi-linux-bootimage (20210426-1)


Mit freundlichen Grüßen

Jan Schneider


=====================================
Changelogs:
=====================================

Code: Alles auswählen

--------------------------------------------------------------
opsi-client-agent (4.1.1.32-1) stable; urgency=low

  * Fixed opsi-deploy-client-agent
  * Updated opsiclientd to 4.2.0.70

-- Nils Dörrer <n.doerrer@uib.de> Thu, 019 Apr 2021 12:00:00 +0100


opsi-client-agent (4.1.1.31-2) stable; urgency=low

  * Fixed opsi-notifier deployment

-- Nils Dörrer <n.doerrer@uib.de> Thu, 013 Apr 2021 15:00:00 +0100


--------------------------------------------------------------
wipedisk (2.1-1) stable; urgency=low

  * now compatible with SSD enhanced erase and NVME format

 -- Mathias Radtke <m.radtke@uib.de> Fri Mar 12 2021 16:00:00 +0100
 

--------------------------------------------------------------
opsi-linux-bootimage (20210426-1) testing; urgency=medium

  * updated python opsi
  * PATCHA_IN provides more variables

 -- Mathias Radtke <m.radtke@uib.de> Mon, 26 Apr 2021 15:15:00 +0100
 

--------------------------------------------------------------
opsi-linux-bootimage (20210326-1) testing; urgency=medium

  * updated python-opsi
  * added rtc driver
  * nvme-cli added

 -- Mathias Radtke <m.radtke@uib.de> Fri, 26 Mar 2021 12:00:00 +0100

opsi-linux-bootimage (20210305-1) testing; urgency=medium

  * using resolv.conf instead of systemd stub resolver
  * kernel 5.10.20

 -- Mathias Radtke <m.radtke@uib.de>  Fri, 05 Mar 2021 12:36:37 +0100

--------------------------------------------------------------
windows (4.1.0.2-14) testing; urgency=low

  * corrected logging error on show_drivers.py

 -- Mathias Radtke <m.radtke@uib.de> Tue Mar 23 12:25:41 2021 +0200


--------------------------------------------------------------
opsiconfd (4.2.0.167-1) stable; urgency=medium

  * current version

 -- uib GmbH <info@uib.de>  Fri, 07 May 2021 10:15:13 +0200

opsiconfd (4.2.0.166-1) stable; urgency=medium

  * Feature:  Show ca and cert expiry on status page
  * Feature:  Warn if common name of CA changes
  * Feature:  Start webgui application

 -- uib GmbH <info@uib.de>  Wed, 05 May 2021 13:11:26 +0200

opsiconfd (4.2.0.164-1) stable; urgency=medium

  * Improvement:  Add missing newline in config file

 -- uib GmbH <info@uib.de>  Thu, 29 Apr 2021 13:16:47 +0200

opsiconfd (4.2.0.163-1) stable; urgency=medium

  * Feature:  Add configuration --ssl-ca-subject-cn

 -- uib GmbH <info@uib.de>  Thu, 29 Apr 2021 12:36:40 +0200

opsiconfd (4.2.0.162-1) stable; urgency=medium

  * Improvement:  Implement force-stop
  * Feature:  Add config --worker-stop-timeout and it for systemd
  * Improvement:  Update python-opsi

 -- uib GmbH <info@uib.de>  Wed, 28 Apr 2021 14:38:09 +0200

opsiconfd (4.2.0.161-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Tue, 27 Apr 2021 15:56:26 +0200

opsiconfd (4.2.0.160-1) stable; urgency=medium

  * Feature:  Limitation of the log records in redis streams
  * Improvement:  Improve zeroconf registration

 -- uib GmbH <info@uib.de>  Fri, 23 Apr 2021 18:11:04 +0200


--------------------------------------------------------------
opsi-utils (4.2.0.95-1) stable; urgency=medium

  * current version

 -- uib GmbH <info@uib.de>  Fri, 07 May 2021 10:18:40 +0200

opsi-utils (4.2.0.92-1) stable; urgency=medium

  * Improvement:  Update python-opsi

 -- uib GmbH <info@uib.de>  Wed, 28 Apr 2021 14:41:22 +0200
 
 
--------------------------------------------------------------
opsi-server (4.2.0.51-1) stable; urgency=medium

  * Improvement:  New default opsi.conf

 -- uib GmbH <info@uib.de>  Wed, 28 Apr 2021 11:17:36 +0200

opsi-server (4.2.0.50-1) stable; urgency=medium

  * Feature:  Use new admingroup placeholder in acl.conf

 -- uib GmbH <info@uib.de>  Tue, 27 Apr 2021 16:58:59 +0200
 

SirTux
Beiträge: 428
Registriert: 05 Feb 2011, 18:37

Re: Updates für opsi 4.1 / 4.2 stable und testing

Beitragvon SirTux » 10 Mai 2021, 17:26

Die Nagios-Geschichte ist seit dem letzten opsi 4.2-Update wieder kaputt:

Code: Alles auswählen

UNKNOWN: Failure No JSON object could be decoded

Benutzeravatar
j.schneider
uib-Team
Beiträge: 1441
Registriert: 29 Mai 2008, 15:14

Re: Updates für opsi 4.1 / 4.2 stable und testing

Beitragvon j.schneider » 12 Mai 2021, 07:59

Welche Versionen von opsiconfd und opsi-nagios-plugins sind im Einsatz?